#include <stdio.h>
#include <stdlib.h>

int main() {
	int N, K, i;
	scanf("%d %d", &N, &K);
	int p[N];
	for(i=0;i<N;i++){
		scanf("%d", &p[i]);
	}
	for(i=0;i<N;i++){
		if(K == p[i])
			break;
	}
	if(i == N-1){
		printf("%d", p[0]);
	}
	else{
		printf("%d", p[i+1]);
	}
	
	return 0;
}